
// This file is auto-generated by `cargo dev generate-playground-options`.
export interface OptionGroup {
    name: string;
    fields: {
        name: string;
        default: string;
        type: string;
    }[];
};

export const AVAILABLE_OPTIONS: OptionGroup[] = [
    {"name": "globals", "fields": [
        {
            "name": "allowed-confusables",
            "default": '[]',
            "type": 'Vec<char>',
        },
        {
            "name": "dummy-variable-rgx",
            "default": '"^(_+|(_+[a-zA-Z0-9_]*[a-zA-Z0-9]+?))$"',
            "type": 'Regex',
        },
        {
            "name": "extend-ignore",
            "default": '[]',
            "type": 'Vec<CheckCodePrefix>',
        },
        {
            "name": "extend-select",
            "default": '[]',
            "type": 'Vec<CheckCodePrefix>',
        },
        {
            "name": "external",
            "default": '[]',
            "type": 'Vec<String>',
        },
        {
            "name": "fix-only",
            "default": 'false',
            "type": 'bool',
        },
        {
            "name": "ignore",
            "default": '[]',
            "type": 'Vec<CheckCodePrefix>',
        },
        {
            "name": "line-length",
            "default": '88',
            "type": 'usize',
        },
        {
            "name": "required-version",
            "default": 'None',
            "type": 'String',
        },
        {
            "name": "select",
            "default": '["E", "F"]',
            "type": 'Vec<CheckCodePrefix>',
        },
        {
            "name": "target-version",
            "default": '"py310"',
            "type": 'PythonVersion',
        },
        {
            "name": "unfixable",
            "default": '[]',
            "type": 'Vec<CheckCodePrefix>',
        },
    ]},
    {"name": "flake8-annotations", "fields": [
        {
            "name": "allow-star-arg-any",
            "default": 'false',
            "type": 'bool',
        },
        {
            "name": "mypy-init-return",
            "default": 'false',
            "type": 'bool',
        },
        {
            "name": "suppress-dummy-args",
            "default": 'false',
            "type": 'bool',
        },
        {
            "name": "suppress-none-returning",
            "default": 'false',
            "type": 'bool',
        },
    ]},
    {"name": "flake8-bugbear", "fields": [
        {
            "name": "extend-immutable-calls",
            "default": '[]',
            "type": 'Vec<String>',
        },
    ]},
    {"name": "flake8-errmsg", "fields": [
        {
            "name": "max-string-length",
            "default": '0',
            "type": 'usize',
        },
    ]},
    {"name": "flake8-import-conventions", "fields": [
        {
            "name": "aliases",
            "default": '{"altair": "alt", "matplotlib.pyplot": "plt", "numpy": "np", "pandas": "pd", "seaborn": "sns"}',
            "type": 'FxHashMap<String, String>',
        },
        {
            "name": "extend-aliases",
            "default": '{}',
            "type": 'FxHashMap<String, String>',
        },
    ]},
    {"name": "flake8-quotes", "fields": [
        {
            "name": "avoid-escape",
            "default": 'true',
            "type": 'bool',
        },
        {
            "name": "docstring-quotes",
            "default": '"double"',
            "type": 'Quote',
        },
        {
            "name": "inline-quotes",
            "default": '"double"',
            "type": 'Quote',
        },
        {
            "name": "multiline-quotes",
            "default": '"double"',
            "type": 'Quote',
        },
    ]},
    {"name": "flake8-tidy-imports", "fields": [
        {
            "name": "ban-relative-imports",
            "default": '"parents"',
            "type": 'Strictness',
        },
    ]},
    {"name": "flake8-unused-arguments", "fields": [
        {
            "name": "ignore-variadic-names",
            "default": 'false',
            "type": 'bool',
        },
    ]},
    {"name": "isort", "fields": [
        {
            "name": "combine-as-imports",
            "default": 'false',
            "type": 'bool',
        },
        {
            "name": "extra-standard-library",
            "default": '[]',
            "type": 'Vec<String>',
        },
        {
            "name": "force-single-line",
            "default": 'false',
            "type": 'bool',
        },
        {
            "name": "force-wrap-aliases",
            "default": 'false',
            "type": 'bool',
        },
        {
            "name": "known-first-party",
            "default": '[]',
            "type": 'Vec<String>',
        },
        {
            "name": "known-third-party",
            "default": '[]',
            "type": 'Vec<String>',
        },
        {
            "name": "single-line-exclusions",
            "default": '[]',
            "type": 'Vec<String>',
        },
        {
            "name": "split-on-trailing-comma",
            "default": 'true',
            "type": 'bool',
        },
    ]},
    {"name": "mccabe", "fields": [
        {
            "name": "max-complexity",
            "default": '10',
            "type": 'usize',
        },
    ]},
    {"name": "pep8-naming", "fields": [
        {
            "name": "classmethod-decorators",
            "default": '["classmethod"]',
            "type": 'Vec<String>',
        },
        {
            "name": "ignore-names",
            "default": '["setUp", "tearDown", "setUpClass", "tearDownClass", "setUpModule", "tearDownModule", "asyncSetUp", "asyncTearDown", "setUpTestData", "failureException", "longMessage", "maxDiff"]',
            "type": 'Vec<String>',
        },
        {
            "name": "staticmethod-decorators",
            "default": '["staticmethod"]',
            "type": 'Vec<String>',
        },
    ]},
    {"name": "pydocstyle", "fields": [
        {
            "name": "convention",
            "default": '"convention"',
            "type": 'Convention',
        },
    ]},
    {"name": "pyupgrade", "fields": [
        {
            "name": "keep-runtime-typing",
            "default": 'false',
            "type": 'bool',
        },
    ]},
];